Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.scribe.messaging
Class MaintenanceMessage

    java.lang.Object
      rice.p2p.scribe.messaging.MaintenanceMessage

All Implemented Interfaces:
  java.io.Serializable, Message

    public class MaintenanceMessage

extends java.lang.Object
implements Message

Version:
  $Id: MaintenanceMessage.java 3648 2007-03-13 13:50:48Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Field Summary

Fields inherited from interface rice.p2p.commonapi.Message
`DEFAULT_PRIORITY, HIGH_PRIORITY, LOW_PRIORITY, LOWEST_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`MaintenanceMessage()` Constructor

Method Summary
`int` | `getPriority()` Method which should return the priority level of this message.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MaintenanceMessage

    public MaintenanceMessage()

  Constructor

  Parameters:
    `id` - The unique id
    `source` - The source address
    `dest` - The destination address

Method Detail

### getPriority

    public int getPriority()

  Description copied from interface: `Message`
  Method which should return the priority level of this message. The messages can range in priority from -15 (highest priority) to 15 (lowest) - when sending messages across the wire, the queue is sorted by message priority. If the queue reaches its limit, the lowest priority messages are discarded. Thus, applications which are very verbose should have LOW_PRIORITY or lower, and applications which are somewhat quiet are allowed to have MEDIUM_PRIORITY or possibly even HIGH_PRIORITY.

  Specified by:
    `getPriority` in interface `Message`
  Returns:
    This message's priority

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.